Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Sun, 4 Nov 2018 09:12:55 -0800

On November 4, 2018 at 5:24:58 AM, Alan Third
([email-masked](mailto:[email-masked])) wrote:

> Yes, I can reproduce with this. Thanks.

Oh, good.

I apologize if this is obvious or redundant, but have you tried
commenting out the erase_phys_cursor call in display_and_set_cursor?
For me, that makes the issue not happen (instead the cursor ghosts).

If I log x/y in the erase, after pressing enter I see this:

erasing 456 133
erasing 0 0
erasing 456 0
erasing 0 0
erasing 456 0
erasing 0 0

456, 133 is where the cursor is in dired. Is it strange that it’s
alternating between x coordinates?

Possibly related, after reproducing it, while writing this email, the
image I had open in the buffer flickered a couple of times. These were
in my log:

erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 456 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 480 19
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0
erasing 0 0

That 456 was there from a while ago which seems strange to me. What’s
holding on to that cursor’s coordinates?

Aaron